"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const godot_1 = require("godot");
class DebugDraw extends godot_1.Node {
    static get instance() {
        return DebugDraw._inst;
    }
    _ready() {
        DebugDraw._inst = this;
    }
    draw_line(begin, end, color = godot_1.Color.CYAN) {
        const instance = new godot_1.GeometryInstance3D();
        this.add_child(instance);
        const geom = new godot_1.ImmediateMesh();
        geom.surface_begin(godot_1.ImmediateMesh.PrimitiveType.PRIMITIVE_LINES);
        geom.surface_add_vertex(begin);
        geom.surface_add_vertex(end);
        geom.surface_set_color(color);
        geom.surface_end();
    }
}
exports.default = DebugDraw;
//# sourceMappingURL=debug_draw.js.map